package cn.com.qmth.scancentral.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;

import cn.com.qmth.scancentral.entity.StudentPaperEntity;
import cn.com.qmth.scancentral.vo.StudentPaperCountVo;

public interface StudentPaperDao extends MppBaseMapper<StudentPaperEntity> {

    List<StudentPaperEntity> findPaperIdByExamId(@Param("examId") Long examId);

    public List<StudentPaperCountVo> findStudentPaperCount(@Param(value = "paramList") List<Long> paramList);

    List<Long> findStudentIdByExamId(@Param("examId") Long examId);
}
